Window = {}

function Window.new(x, y, width, height)
  local window = {}

  window.x = x
  window.y = y
  window.w = width
  window.h = height
  setmetatable(window, { __index = Window })

  return window
end

function Window:draw(alpha)
	alpha = alpha or 255
  -- box
  love.graphics.setColor(72, 60, 50, alpha)
  love.graphics.rectangle("fill", self.x - 15, self.y - 15, self.w + 30, self.h + 30)
  -- frame
  love.graphics.setColor(210, 180, 140,alpha)
  love.graphics.rectangle("fill", self.x, self.y, self.w, self.h)
end
